import Pannel from '@/components/pannel/index.vue';
import PannelTabs from '@/components/pannel-tabs/index.vue';
import Bar from '@/components/charts/bar/index.vue';

export default {
  components: {
    Bar,
    PannelTabs,
    Pannel
  },
  data () {
    return {
      pannelTabData: [
        {
          id: '1',
          name: '经营性'
        },
        {
          id: '2',
          name: '非经营性'
        }
      ],
      tabIndex: '1'
    };
  },
  created () {
  },
  mounted () {
  },
  methods: {
    tabChange (info) {
      this.tabIndex = info.id
    }
  }
};
