import Vue from 'vue';
import Vuex from 'vuex';
import VuexPersistence from 'vuex-persist';

import app from '@/store/app/index.js';

Vue.use(Vuex);

const vuexLocal = new VuexPersistence({
  key: 'rongxin.nongjing.expo',
  modules: ['app']
});

export default new Vuex.Store({
  modules: {
    app
  },
  plugins: [vuexLocal.plugin]
});
