import Pannel from '@/components/pannel/index.vue';
import ScrollTable from '@/components/scroll-table/index.vue';
import PannelTabs from '@/components/pannel-tabs/index.vue';
export default {
  components: {
    PannelTabs,
    ScrollTable,
    Pannel
  },
  data () {
    return {
      pannelTabsData: [
        {
          id: '1',
          name: '支出'
        },
        {
          id: '2',
          name: '收入'
        }
      ],
      tabIndex: '1',
      headers: ['部门名称', '支出金额', '排名']
    };
  },
  created () {
  },
  mounted () {
  },
  methods: {
    tabChange (info) {
      this.tabIndex = info.id
    }
  }
};
